UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMERegistrationIdExCallbackInfo Class Reference

## Public Member Functions
| UMERegistrationIdExCallbackInfo ()
| UMERegistrationIdExCallbackInfo (String source, long sourceRegId, String store, int storeIndex, int flags, Object sourceCbArg) throws LBMEInvalException
long | sourceRegistrationId ()
int | storeIndex ()
String | store ()
String | source ()
int | flags ()
Object | sourceClientObject ()

## Detailed Description

UME Registration ID Extended Callback Info class. Contains information passed to user-supplied UME registration ID callbacks.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo | ( |  | ) |

Creates a UMERegistrationIdExCallbackInfo object and sets all fields to 0/null.

Since
  UME 2.0

com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo | ( | String | source,
|  | long | sourceRegId,
|  | String | store,
|  | int | storeIndex,
|  | int | flags,
|  | Object | sourceCbArg
| ) |  | throws LBMEInvalException

Creates a UMERegistrationIdExCallbackInfo object and initializes fields to the given values.

Parameters

  source | Name (IP address) of the source.
  sourceRegId | Reg ID of the source.
  store | Name (IP address) of the store.
  storeIndex | Index of the store.
  flags | Informational flags.
  sourceCbArg | Client callback object, set by LBMSourceCreationCallback.

Exceptions

  LBMEInvalException |

Since
  UME 2.0

References com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.flags(), com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.source(), com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.store(), and com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.storeIndex().

## Member Function Documentation

int com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.flags | ( |  | ) |

Get informational flags.

Returns
  Flags.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo().

String com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.source | ( |  | ) |

Get the source name (IP address).

Returns
  Source name (IP address).

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo().

Object com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.sourceClientObject | ( |  | ) |

Get source client object.

Returns
  Source client object.

Since
  UME 2.0

long com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.sourceRegistrationId | ( |  | ) |

Get the source's registration ID.

Returns
  Source registration ID.

Since
  UME 2.0

String com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.store | ( |  | ) |

Get the store name (IP address).

Returns
  Store name (IP address).

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo().

int com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.storeIndex | ( |  | ) |

Get the store's index.

Returns
  Store index.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMERegistrationIdExCallbackInfo.UMERegistrationIdExCallbackInfo().

The documentation for this class was generated from the following file:

- UMERegistrationIdExCallbackInfo.java